<?php

Route::group([
    'prefix'     => config('drpadmin.baseRoutePath'),
    'namespace'  => 'drp\AdminPanel\Styleguide\Http\Controllers',
    'middleware' => 'auth'
], function () {
    Route::get('styleguide/widgets', [
        'as'   => 'admin.styleguide.widgets',
        'uses' => 'StyleguideController@widgets'
    ]);

    Route::group([
        'prefix'     => 'styleguide/ui-elements'
    ], function () {
        Route::get('general', [
            'as'   => 'admin.styleguide.ui-elements.general',
            'uses' => 'UiElementsController@general'
        ]);

        Route::get('buttons', [
            'as'   => 'admin.styleguide.ui-elements.buttons',
            'uses' => 'UiElementsController@buttons'
        ]);

        Route::get('sliders', [
            'as'   => 'admin.styleguide.ui-elements.sliders',
            'uses' => 'UiElementsController@sliders'
        ]);

        Route::get('timeline', [
            'as'   => 'admin.styleguide.ui-elements.timeline',
            'uses' => 'UiElementsController@timeline'
        ]);

        Route::get('modals', [
            'as'   => 'admin.styleguide.ui-elements.modals',
            'uses' => 'UiElementsController@modals'
        ]);
    });

    Route::group([
        'prefix'     => 'styleguide/forms'
    ], function () {
        Route::get('general', [
            'as'   => 'admin.styleguide.forms.general',
            'uses' => 'FormsController@general'
        ]);

        Route::get('advanced', [
            'as'   => 'admin.styleguide.forms.advanced',
            'uses' => 'FormsController@advanced'
        ]);

        Route::get('editors', [
            'as'   => 'admin.styleguide.forms.editors',
            'uses' => 'FormsController@editors'
        ]);
    });

    Route::group([
        'prefix'     => 'styleguide/tables'
    ], function () {
        Route::get('simple', [
            'as'   => 'admin.styleguide.tables.simple',
            'uses' => 'TablesController@simple'
        ]);
        Route::get('data', [
            'as'   => 'admin.styleguide.tables.data',
            'uses' => 'TablesController@data'
        ]);
    });

    Route::group([
        'prefix'     => 'styleguide/charts'
    ], function () {
        Route::get('chartjs', [
            'as'   => 'admin.styleguide.charts.chartjs',
            'uses' => 'ChartsController@chartjs'
        ]);

        Route::get('flot', [
            'as'   => 'admin.styleguide.charts.flot',
            'uses' => 'ChartsController@flot'
        ]);

        Route::get('inline', [
            'as'   => 'admin.styleguide.charts.inline',
            'uses' => 'ChartsController@inline'
        ]);
    });
});
